<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-pos-user-heading" data-cy="PosUserCreateUpdateHeading" jhiTranslate="jokegeneratorApp.posUser.home.createOrEditLabel">
        Create or edit a Pos User
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.posUser.firstName" for="field_firstName">First Name</label>
          <input type="text" class="form-control" name="firstName" id="field_firstName" data-cy="firstName" formControlName="firstName" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.posUser.lastName" for="field_lastName">Last Name</label>
          <input type="text" class="form-control" name="lastName" id="field_lastName" data-cy="lastName" formControlName="lastName" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.posUser.birthDay" for="field_birthDay">Birth Day</label>
          <div class="d-flex">
            <input
              id="field_birthDay"
              data-cy="birthDay"
              type="datetime-local"
              class="form-control"
              name="birthDay"
              formControlName="birthDay"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="jokegeneratorApp.posUser.email" for="field_email">Email</label>
          <input type="text" class="form-control" name="email" id="field_email" data-cy="email" formControlName="email" />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
